apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: tatort
  finalizers:
  - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: 'https://gitea.innovation-hub-niedersachsen.de/innohub/charts/raw/main/'
    targetRevision: 0.*.*
    helm:
      parameters:
        - name: ingress.enabled
          value: "true"
        - name: ingress.className
          value: "traefik"
        - name: ingress.hosts[0]
          value: "tatort.innovation-hub-niedersachsen.de"
        - name: ingress.annotations.kubernetes\.io\/ingress\.class
          value: traefik
        - name: ingress.tls[0].secretName
          value: "tatort-tls"
        - name: ingress.annotations.traefik\.ingress\.kubernetes\.io\/router\.entrypoints
          value: websecure
        - name: ingress.annotations.kubernetes\.io\/ingress\.class
          value: traefik
        - name: ingress.annotations.traefik\.ingress\.kubernetes\.io\/router\.tls
          value: 'true'
          forceString: true
        - name: ingress.tls[0].hosts[0]
          value: "tatort.innovation-hub-niedersachsen.de"
        - name: ingress.annotations.cert-manager\.io\/cluster-issuer
          value: lets-encrypt
    chart: tatort
  destination:
    server: 'https://kubernetes.default.svc'
    namespace: tatort
  syncPolicy:
    managedNamespaceMetadata:
      labels: 
        pod-security.kubernetes.io/enforce: "privileged"
    automated:
      selfHeal: true
      prune: true
    syncOptions:
      - CreateNamespace=true
